### Constructor

# Spelling Checker new

#### Declaration [src]

    SpellingChecker*
    spelling_checker_new (
      SpellingProvider* provider,
      const char* language
    )

#### Description [src]

Create a new `SpellingChecker`.

#### Parameters

`provider`

  Type: `SpellingProvider`

  No description available.

  The data is owned by the caller of the function.

`language`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SpellingChecker`

A newly created `SpellingChecker`.

The caller of the function takes ownership of the data, and is responsible for freeing it.